-- écrit le 13/09/2024 par Lukian Leizour
-- ce programme doit tourner sur un ESP32 sous LUARTOS

-- fonction permettant d'allumer la led bleu de l'ESP32
function ledon ()
	pio.pin.setdir(pio.OUTPUT, pio.GPIO2) -- permet d'indiquer que la patte GPIO2 sert de sortie
	pio.pin.sethigh(pio.GPIO2) 			  -- permet de mettre la tension au max
end

-- fonction permettant d'eteindre la led bleu de l'ESP32
function ledoff () 
	pio.pin.setdir(pio.OUTPUT, pio.GPIO2) -- permet d'indiquer que la patte GPIO2 sert de sortie
	pio.pin.setlow(pio.GPIO2) 			  -- permet de mettre la tension au minimum
end

-- fonction permettant d'allumer une led connectée sur la patte D18 de l'ESP32
function ledon_2 ()
	pio.pin.setdir(pio.OUTPUT, pio.GPIO18) -- permet d'indiquer que la patte GPIO18 sert de sortie
	pio.pin.sethigh(pio.GPIO18) 		   -- permet de mettre la tension au max
end

-- fonction permettant d'eteindre une led connectée sur la patte D18 de l'ESP32
function ledoff_2 () 
	pio.pin.setdir(pio.OUTPUT, pio.GPIO18) -- permet d'indiquer que la patte GPIO18 sert de sortie
	pio.pin.setlow(pio.GPIO18) 			   -- permet de mettre la tension au minimum
end

-- fonction permettant de faire clignoter la led de l'ESP32
function blink (n) -- n : int, nombre d'itérations
	for j=1,n do
		ledon()          -- appel de la fonction ledon
		tmr.delayms(200) -- le programme attend 200ms
		ledoff()		 -- appel de la fonctio ledoff
		tmr.delayms(200) -- le programme attend 200ms
	end
end

-- fonction permettant de faire clignoter une led connectée sur la patte D18 de l'ESP32
function blink_2 (n) -- n : int, nombre d'itérations
	for j=1,n do
		ledon()          -- appel de la fonction ledon
		tmr.delayms(200) -- le programme attend 200ms
		ledoff()		 -- appel de la fonctio ledoff
		tmr.delayms(200) -- le programme attend 200ms
	end
end
